Bug 227097 - editors/texstudio: update to v.2.12.6 (patch)
Summary: editors/texstudio: update to v.2.12.6 (patch)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-29 23:24 UTC by Alexandre C. Guimarães
Modified: 2018-06-11 17:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (abiliojr)


Attachments
Update to v2.12.6. (1.57 KB, patch)
2018-03-29 23:24 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2018-03-29 23:24:13 UTC
Created attachment 191961 [details]
Update to v2.12.6.

Hi.

Attached a patch to update editors/texstudio to version 2.12.6.

Thanks!
Comment 1 Fernando Apesteguía freebsd_committer 2018-04-05 21:23:07 UTC
I'll take this
Comment 2 Fernando Apesteguía freebsd_committer 2018-04-09 21:25:49 UTC
Hi Alexandre,

Sorry for the delay. I created a review for this PR at: https://reviews.freebsd.org/D15023

I proposed some changes to the port:

    Update to 2.12.8
    USE_GITHUB since this release is only in GH and not in SF
    Add LICENSE according to project's site (no license file is provided)
    Flavorize port and make qt5 default (as in the old version)

Do you have a Phabricator account? If so, you can join the review.
Comment 3 commit-hook freebsd_committer 2018-05-13 21:14:21 UTC
A commit references this bug:

Author: fernape
Date: Sun May 13 21:13:46 UTC 2018
New revision: 469833
URL: https://svnweb.freebsd.org/changeset/ports/469833

Log:
  Update graphics/imv to 3.0.0

  * Use DISTVERSION instead PORTVERSION
  * Remove custom do-install target

  PR:	227097
  Reported by:	lebarondemerde@privacychain.ch
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D15397

Changes:
  head/graphics/imv/Makefile
  head/graphics/imv/distinfo
  head/graphics/imv/files/
  head/graphics/imv/files/patch-Makefile
Comment 4 Fernando Apesteguía freebsd_committer 2018-05-13 21:17:14 UTC
Please,

Omit that commit message. This PR is still a work in progress.
Comment 5 commit-hook freebsd_committer 2018-06-11 17:25:34 UTC
A commit references this bug:

Author: fernape
Date: Mon Jun 11 17:25:12 UTC 2018
New revision: 472195
URL: https://svnweb.freebsd.org/changeset/ports/472195

Log:
  editors/texstudio: update to 2.12.8

  * USE_GITHUB since this release is only in GH and not in SF
  * Add LICENSE according to project's site (no license file is provided)
  * Use DISTVERSION instead of PORTVERSION
  * Flavorize port and make qt5 default (as in the previous version)

  PR:	227097
  Reported by:	lebarondemerde@privacychain.ch
  Approved by:	tcberner (mentor), portmgr (mat)
  Differential Revision:	https://reviews.freebsd.org/D15023

Changes:
  head/editors/texstudio/Makefile
  head/editors/texstudio/distinfo
  head/editors/texstudio/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2018-06-11 17:27:07 UTC
Committed,

Sorry it took so long, but the port was flavorized in the way.

Thanks!